CVE-2006-3500
CVSS7.2
发布时间 :2006-08-02 21:04:00
修订时间 :2011-03-07 21:38:45
NMCO    

[原文]The dynamic linker (dyld) in Apple Mac OS X 10.4.7 allows local users to execute arbitrary code via an "improperly handled condition" that leads to use of "dangerous paths," probably related to an untrusted search path vulnerability.


[CNNVD]Apple Mac OS 动态连接器包含危险路径任意代码执行漏洞(CNNVD-200608-042)

        Apple Mac OS X是苹果家族机器所使用的操作系统。
        最新的Mac OS X更新修复了多个漏洞,具体如下:
        在搜索加载到特权应用程序的函数库时没有正确的处理动态连接器,可能导致包含危险的路径,这样恶意的本地用户就可以导致加载动态连接器,以提升的权限执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.4.7Apple Mac OS X 10.4.7
cpe:/o:apple:mac_os_x_server:10.4.7Apple Mac OS X Server 10.4.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3500
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3500
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200608-042
(官方数据源) CNNVD

- 其它链接及资源

http://www.us-cert.gov/cas/techalerts/TA06-214A.html
(UNKNOWN)  CERT  TA06-214A
http://xforce.iss.net/xforce/xfdb/28141
(UNKNOWN)  XF  macosx-dyld-privilege-escalation(28141)
http://www.vupen.com/english/advisories/2006/3101
(UNKNOWN)  VUPEN  ADV-2006-3101
http://www.securityfocus.com/bid/19289
(UNKNOWN)  BID  19289
http://www.osvdb.org/27738
(UNKNOWN)  OSVDB  27738
http://secunia.com/advisories/21253
(UNKNOWN)  SECUNIA  21253
http://lists.apple.com/archives/security-announce/2006//Aug/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2006-08-01

- 漏洞信息

Apple Mac OS 动态连接器包含危险路径任意代码执行漏洞
高危 资料不足
2006-08-02 00:00:00 2006-08-26 00:00:00
远程  
        Apple Mac OS X是苹果家族机器所使用的操作系统。
        最新的Mac OS X更新修复了多个漏洞,具体如下:
        在搜索加载到特权应用程序的函数库时没有正确的处理动态连接器,可能导致包含危险的路径,这样恶意的本地用户就可以导致加载动态连接器,以提升的权限执行任意代码。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apple Mac OS X Server 10.3.9
        Apple SecUpdSrvr2006-004Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=11231&cat= 1&platform=osx&method=sa/SecUpdSrvr2006-004Pan.dmg
        Apple Mac OS X 10.3.9
        Apple SecUpd2006-004Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=11230&cat= 1&platform=osx&method=sa/SecUpd2006-004Pan.dmg
        Apple Mac OS X 10.4.7
        Apple SecUpd2006-004Intel.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=11232&cat= 1&platform=osx&method=sa/SecUpd2006-004Intel.dmg
        

- 漏洞信息

27738
Apple Mac OS X dyld Search Path Subversion Arbitrary Code Execution
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

Mac OS X contains a flaw that may allow a malicious user to execute arbitrary code. The issue is triggered when some dynamic linker options are used to read user-specified search paths and may allow user-specified output to be parsed by privileged applications. It is possible that the flaw may allow arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-07-14 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch (Security Update 2006-004) to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站